#ifndef ESCAPETILEMAP_H
#define ESCAPETILEMAP_H

#include "tilemap.h"

class EscapeTileMap: public TileMap
{
public:
    EscapeTileMap();
    virtual ~EscapeTileMap();
    void addDefinition(char key,Texture& graphic);
    bool isWall(int x, int y);
    bool isStairs(int x, int y);
    bool isBad(int x, int y);
    bool isWater(int x, int y);
    Vector2i spawnPoint;
private:
    bool isWall(char ch);
    bool isStairs(char ch);
    bool isBad(char ch);
    bool isWater(char ch);
};

#endif
