#ifndef PLAYER_H
#define PLAYER_H

#include "graphics.h"

enum direction
{
    up,
    down,
    left,
    right
};

struct EscapePlayer
{
    EscapePlayer(int x,int y);
    virtual ~EscapePlayer();

    void move(direction dir);

    void setPosition(int x, int y);

    enum playerstate
    {
        walk1,
        walk2,
        hurt,
        wet
    };

    void setState(playerstate sstate);

    Texture walk1_graphic;
    Texture walk2_graphic;
    Texture hurt1_graphic;
    Texture wet1_graphic;

    TileSprite sprite;

    playerstate state;
};

#endif
